import {
  ConsultancyComponent,
  ServiceTypes,
  SoftwareEngineeringComponent,
  StatisticComponent,
  TrainingsComponent,
} from './components';
import { Type } from '@angular/core';

export type ServiceComponentType = ConsultancyComponent
  | TrainingsComponent
  | SoftwareEngineeringComponent | StatisticComponent;

export const servicesComponentFactory:
  Record<ServiceTypes, Type<ServiceComponentType>>
  = {
  [ServiceTypes.consultancy]: ConsultancyComponent,
  [ServiceTypes.trainings]: TrainingsComponent,
  [ServiceTypes.engineering]: SoftwareEngineeringComponent,
  [ServiceTypes.statistic]: StatisticComponent,

};
